/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2012, 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("jazz.ui.internal.MenuItem");

dojo.require("dijit.MenuItem");
dojo.require("jazz.ui.internal._CssStateMixin");

(function() {

dojo.declare("jazz.ui.internal.MenuItem", [dijit.MenuItem, jazz.ui.internal._CssStateMixin], {

	icon: "",
	baseClass: "jazz-ui-internal-MenuItem",

	_setSelected: function(value) {
		this._set("selected", value);
	},
	_setIconAttr: function(icon) {
		this.icon = icon;
		this.iconNode.src = icon;
	}
});
})();
