ALTER SESSION SET CURRENT_SCHEMA = &&CONFIG_SCHEMA;

CREATE TABLE DCS_ETL_INFO (
		RESGROUP_URL VARCHAR(2048) NOT NULL,
		RESGROUP_ID VARCHAR(36) NOT NULL,
		RESOURCE_URL VARCHAR(2048) NOT NULL,
		RESOURCE_ID VARCHAR(36) NOT NULL,
		MODIFIEDSINCE TIMESTAMP DEFAULT TO_DATE('1899-12-31','YYYY-MM-DD') NOT NULL,
		LOADTYPE CHAR(1) DEFAULT 'D' NOT NULL
) TABLESPACE VNF_32K ;

ALTER TABLE DCS_ETL_INFO ADD CONSTRAINT DCSETLINFO_KEY PRIMARY KEY (RESGROUP_ID, RESOURCE_ID) USING INDEX TABLESPACE VNF_IDX;

UPDATE SYSCONFIG_INFO SET INT_VALUE=8, CHAR_VALUE='5.0' WHERE INFO_ID=16;
UPDATE SYSCONFIG_INFO SET INT_VALUE=32, CHAR_VALUE='5.0 S4' WHERE INFO_ID=17;