SET CURRENT SCHEMA = $CONFIG_SCHEMA;

CREATE TABLE DCS_ETL_INFO (
		RESGROUP_URL VARCHAR(2048) NOT NULL,
		RESGROUP_ID VARCHAR(36) NOT NULL,
		RESOURCE_URL VARCHAR(2048) NOT NULL,
		RESOURCE_ID VARCHAR(36) NOT NULL,
  		MODIFIEDSINCE TIMESTAMP NOT NULL WITH DEFAULT '1899-12-31-23.59.59',
  		LOADTYPE CHARACTER(1) NOT NULL  WITH DEFAULT 'D'
) IN VNF_32K  INDEX IN VNF_IDX;

ALTER TABLE DCS_ETL_INFO ADD CONSTRAINT DCSETLINFO_KEY PRIMARY KEY (RESGROUP_ID, RESOURCE_ID);

UPDATE SYSCONFIG_INFO SET INT_VALUE=8, CHAR_VALUE='5.0' WHERE INFO_ID=16;
UPDATE SYSCONFIG_INFO SET INT_VALUE=32, CHAR_VALUE='5.0 S4' WHERE INFO_ID=17;
