SET CURRENT SCHEMA $CONFIG_SCHEMA;

INSERT INTO SYSCONFIG_INFO(INFO_ID,NAME,DISPLAY_NAME,INT_VALUE,CHAR_VALUE) SELECT 6 AS INFO_ID,'VERSION' AS NAME,'Insight Warehouse Version' AS DISPLAY_NAME,1 AS INT_VALUE,'1.0' AS CHAR_VALUE FROM SYSIBM.SYSDUMMY1 WHERE NOT EXISTS(SELECT INFO_ID FROM SYSCONFIG_INFO WHERE INFO_ID=6);

INSERT INTO SYSCONFIG_INFO(INFO_ID,NAME,DISPLAY_NAME,INT_VALUE,CHAR_VALUE) SELECT 7 AS INFO_ID,'UPDATE_TARGET' AS NAME,'Insight Warehouse Update' AS DISPLAY_NAME,0 AS INT_VALUE,'2.0' AS CHAR_VALUE FROM SYSIBM.SYSDUMMY1 WHERE NOT EXISTS(SELECT INFO_ID FROM SYSCONFIG_INFO WHERE INFO_ID=7);

UPDATE $CONFIG_SCHEMA.SYSCONFIG_INFO SET INT_VALUE=2,CHAR_VALUE='2.0.3' WHERE INFO_ID=7;

MERGE INTO $CONFIG_SCHEMA.SYSCONFIG_INFO AS M USING (SELECT 8 AS INFO_ID,'MIGRATION_STATUS' AS NAME,'Insight Warehouse Migration Status' AS DISPLAY_NAME,0 AS INT_VALUE,'' AS CHAR_VALUE FROM SYSIBM.SYSDUMMY1) AS MM ON M.INFO_ID=MM.INFO_ID WHEN MATCHED THEN UPDATE SET M.NAME=MM.NAME,M.DISPLAY_NAME=MM.DISPLAY_NAME,M.INT_VALUE=MM.INT_VALUE,M.CHAR_VALUE=MM.CHAR_VALUE,M.REC_DATETIME=CURRENT TIMESTAMP WHEN NOT MATCHED THEN INSERT (INFO_ID,NAME,DISPLAY_NAME,INT_VALUE) VALUES(8,'MIGRATION_STATUS','Insight Warehouse Migration Status',0);
MERGE INTO $CONFIG_SCHEMA.SYSCONFIG_INFO AS M USING (SELECT  18 AS INFO_ID,'MINOR_VERSION' AS NAME,'Insight Warehouse Minor Version' AS DISPLAY_NAME,10 AS INT_VALUE,'2.0.3 M3' AS CHAR_VALUE FROM SYSIBM.SYSDUMMY1) AS MM ON M.INFO_ID=MM.INFO_ID WHEN MATCHED THEN UPDATE SET M.NAME=MM.NAME,M.DISPLAY_NAME=MM.DISPLAY_NAME,M.INT_VALUE=MM.INT_VALUE,M.CHAR_VALUE=MM.CHAR_VALUE,M.REC_DATETIME=CURRENT TIMESTAMP WHEN NOT MATCHED THEN INSERT (INFO_ID,NAME,DISPLAY_NAME,INT_VALUE,CHAR_VALUE) VALUES (18,'MINOR_VERSION','Insight Warehouse Minor Version',10,'2.0.3 M3');
MERGE INTO $CONFIG_SCHEMA.SYSCONFIG_INFO AS M USING (SELECT  9 AS INFO_ID,'DATA_TRUNCATION' AS NAME,'Interpreted as do not compute or delete data with dates earlier or equal to the value set' AS DISPLAY_NAME,1 AS INT_VALUE,'1899-12-31' AS CHAR_VALUE FROM SYSIBM.SYSDUMMY1) AS MM ON M.INFO_ID=MM.INFO_ID WHEN MATCHED THEN UPDATE SET M.NAME=MM.NAME,M.DISPLAY_NAME=MM.DISPLAY_NAME,M.INT_VALUE=MM.INT_VALUE WHEN NOT MATCHED THEN INSERT (INFO_ID,NAME,DISPLAY_NAME,INT_VALUE,CHAR_VALUE) VALUES (9,'DATA_TRUNCATION','Interpreted as do not compute or delete data with dates earlier or equal to the value set',1,'1899-12-31');

UPDATE $CONFIG_SCHEMA.SYSCONFIG_INFO SET INT_VALUE=2,CHAR_VALUE='2.0.3' WHERE INFO_ID=6;
UPDATE $CONFIG_SCHEMA.SYSCONFIG_INFO SET INT_VALUE=1  WHERE INFO_ID=8;
UPDATE $CONFIG_SCHEMA.SYSCONFIG_INFO SET CHAR_VALUE='2.0.3 M3',INT_VALUE=10 WHERE INFO_ID=18;