CREATE USER &&ETL_USER PROFILE DEFAULT 
IDENTIFIED BY <password> DEFAULT TABLESPACE USERS
ACCOUNT UNLOCK;

ALTER USER &&ETL_USER TEMPORARY TABLESPACE RIS_TEMP;
ALTER USER &&ETL_USER QUOTA UNLIMITED ON VNF_32K;
ALTER USER &&ETL_USER QUOTA UNLIMITED ON VNF_IDX;
ALTER USER &&ETL_USER QUOTA UNLIMITED ON USERS;
ALTER USER &&ETL_USER QUOTA UNLIMITED ON VSTR_32K;
ALTER USER &&ETL_USER QUOTA UNLIMITED ON VSTR_IDX;

GRANT CREATE SESSION TO &&ETL_USER;
GRANT CONNECT TO &&ETL_USER;
GRANT ANALYZE ANY TO &&ETL_USER;