--******************************************************************************************************************************
--* Licensed Materials - Property of IBM                                                                                       *
--* (c) Copyright IBM Corp. 2008, 2013 All Rights Reserved.                                                                    *
--*                                                                                                                            *
--*US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
--******************************************************************************************************************************

ALTER SESSION SET CURRENT_SCHEMA= &&CONFIG_SCHEMA;

INSERT INTO SYSCONFIG_INFO(INFO_ID,NAME,DISPLAY_NAME,INT_VALUE,CHAR_VALUE) VALUES (16,'CALM_VERSION','CALM Warehouse Version',8,'5.0');
INSERT INTO SYSCONFIG_INFO(INFO_ID,NAME,DISPLAY_NAME,INT_VALUE,CHAR_VALUE) VALUES (17,'CALM_MINOR_VERSION','CALM Warehouse Minor Version',32,'5.0 S4');

ALTER SESSION SET CURRENT_SCHEMA= &&CALM_SCHEMA;

INSERT INTO REQUEST_APPROVAL_TYPE (REQUEST_APPROVAL_TYPE_ID, NAME) VALUES (-1,'Info not available');
INSERT INTO REQUEST_APPROVAL_STATE (REQUEST_APPROVAL_STATE_ID, NAME) VALUES (-1,'Info not available');
INSERT INTO REQUEST_APPROVAL_DESCRIPTOR (REQUEST_APPROVAL_DESCRIPTOR_ID, NAME) VALUES (-1,'Info not available');

INSERT INTO GROUP_NAME_FACET (GROUP_NAME_FACET_ID, GROUP_NAME, NAME, FACET) VALUES (-1,'Info not available', 'Info not available', 'Info not available');

INSERT INTO REQUEST_HISTORY (REQUEST_HISTORY_ID,NAME) VALUES (-1,'Info not available');

INSERT INTO KEYWORD_CLASSIFICATION (KEYWORD_CLASS_ID,NAME) VALUES (-1,'Info not available');
INSERT INTO KEYWORD_CLASSIFICATION (KEYWORD_CLASS_ID,NAME) VALUES (1,'RQM KeyWord');
INSERT INTO OBJECTIVE_CLASSIFICATION (OBJECTIVE_CLASS_ID,NAME) VALUES (-1,'Info not available');
INSERT INTO OBJECTIVE_CLASSIFICATION (OBJECTIVE_CLASS_ID,NAME) VALUES (1,'RQM Quality Objective');
INSERT INTO LABREQUEST_CLASSIFICATION (LABREQUEST_CLASS_ID,NAME) VALUES (-1,'Info not available');
INSERT INTO LABREQUEST_CLASSIFICATION (LABREQUEST_CLASS_ID,NAME) VALUES (1,'RQM Lab Request');

INSERT INTO KEYWORD (KEYWORD_ID,TITLE) VALUES (-1,'Info not available');
INSERT INTO QUALITY_OBJECTIVE (OBJECTIVE_ID,TITLE) VALUES (-1,'Info not available');
INSERT INTO TESTPLAN_OBJECTIVESTATUS (TESTPLAN_OBJECTIVESTATUS_ID) VALUES (-1);
INSERT INTO LABREQUEST (LABREQUEST_ID,TITLE) VALUES (-1,'Info not available');
INSERT INTO LABREQUEST_CHANGESTATE (CHANGESTATE_ID) VALUES (-1);
INSERT INTO TESTPLAN_STRING_EXT (TESTPLAN_ID, NAME, VAR) VALUES (-1, 'Info not available', 'Info not available');
INSERT INTO TESTPLAN_STRING_M_EXT (TESTPLAN_ID, NAME, VAR) VALUES (-1, 'Info not available', 'Info not available');
INSERT INTO TESTPLAN_INT_EXT (TESTPLAN_ID, NAME, VAR) VALUES (-1, 'Info not available', -1);
INSERT INTO TESTPLAN_TIMESTAMP_EXT (TESTPLAN_ID, NAME, VAR) VALUES (-1, 'Info not available', CURRENT_TIMESTAMP);
INSERT INTO TESTCASE_STRING_EXT (TESTCASE_ID, NAME, VAR) VALUES (-1, 'Info not available', 'Info not available');
INSERT INTO TESTCASE_STRING_M_EXT (TESTCASE_ID, NAME, VAR) VALUES (-1, 'Info not available', 'Info not available');
INSERT INTO TESTCASE_INT_EXT (TESTCASE_ID, NAME, VAR) VALUES (-1, 'Info not available', -1);
INSERT INTO TESTCASE_TIMESTAMP_EXT (TESTCASE_ID, NAME, VAR) VALUES (-1, 'Info not available', CURRENT_TIMESTAMP);
INSERT INTO TESTSCRIPT_STRING_EXT (TESTSCRIPT_ID, NAME, VAR) VALUES (-1, 'Info not available', 'Info not available');
INSERT INTO TESTSCRIPT_STRING_M_EXT (TESTSCRIPT_ID, NAME, VAR) VALUES (-1, 'Info not available', 'Info not available');
INSERT INTO TESTSCRIPT_INT_EXT (TESTSCRIPT_ID, NAME, VAR) VALUES (-1, 'Info not available', -1);
INSERT INTO TESTSCRIPT_TIMESTAMP_EXT (TESTSCRIPT_ID, NAME, VAR) VALUES (-1, 'Info not available', CURRENT_TIMESTAMP);
INSERT INTO TESTSUITE_STRING_EXT (TESTSUITE_ID, NAME, VAR) VALUES (-1, 'Info not available', 'Info not available');
INSERT INTO TESTSUITE_STRING_M_EXT (TESTSUITE_ID, NAME, VAR) VALUES (-1, 'Info not available', 'Info not available');
INSERT INTO TESTSUITE_INT_EXT (TESTSUITE_ID, NAME, VAR) VALUES (-1, 'Info not available', -1);
INSERT INTO TESTSUITE_TIMESTAMP_EXT (TESTSUITE_ID, NAME, VAR) VALUES (-1, 'Info not available', CURRENT_TIMESTAMP);
INSERT INTO EXECWORKITEM_STRING_EXT (EXECWORKITEM_ID, NAME, VAR) VALUES (-1, 'Info not available', 'Info not available');
INSERT INTO EXECWORKITEM_STRING_M_EXT (EXECWORKITEM_ID, NAME, VAR) VALUES (-1, 'Info not available', 'Info not available');
INSERT INTO EXECWORKITEM_INT_EXT (EXECWORKITEM_ID, NAME, VAR) VALUES (-1, 'Info not available', -1);
INSERT INTO EXECWORKITEM_TIMESTAMP_EXT (EXECWORKITEM_ID, NAME, VAR) VALUES (-1, 'Info not available', CURRENT_TIMESTAMP);
INSERT INTO TSTSUITEXECREC_STRING_EXT (TESTSUITE_EXECRECORD_ID, NAME, VAR) VALUES (-1, 'Info not available', 'Info not available');
INSERT INTO TSTSUITEXECREC_STRING_M_EXT (TESTSUITE_EXECRECORD_ID, NAME, VAR) VALUES (-1, 'Info not available', 'Info not available');
INSERT INTO TSTSUITEXECREC_INT_EXT (TESTSUITE_EXECRECORD_ID, NAME, VAR) VALUES (-1, 'Info not available', -1);
INSERT INTO TSTSUITEXECREC_TIMESTAMP_EXT (TESTSUITE_EXECRECORD_ID, NAME, VAR) VALUES (-1, 'Info not available', CURRENT_TIMESTAMP);
INSERT INTO EXECRES_STRING_EXT (EXECUTION_RESULT_ID, NAME, VAR) VALUES (-1, 'Info not available', 'Info not available');
INSERT INTO EXECRES_STRING_M_EXT (EXECUTION_RESULT_ID, NAME, VAR) VALUES (-1, 'Info not available', 'Info not available');
INSERT INTO EXECRES_INT_EXT (EXECUTION_RESULT_ID, NAME, VAR) VALUES (-1, 'Info not available', -1);
INSERT INTO EXECRES_TIMESTAMP_EXT (EXECUTION_RESULT_ID, NAME, VAR) VALUES (-1, 'Info not available', CURRENT_TIMESTAMP);
INSERT INTO TESTSUITELOG_STRING_EXT (TESTSUITELOG_ID, NAME, VAR) VALUES (-1, 'Info not available', 'Info not available');
INSERT INTO TESTSUITELOG_STRING_M_EXT (TESTSUITELOG_ID, NAME, VAR) VALUES (-1, 'Info not available', 'Info not available');
INSERT INTO TESTSUITELOG_INT_EXT (TESTSUITELOG_ID, NAME, VAR) VALUES (-1, 'Info not available', -1);
INSERT INTO TESTSUITELOG_TIMESTAMP_EXT (TESTSUITELOG_ID, NAME, VAR) VALUES (-1, 'Info not available', CURRENT_TIMESTAMP);
INSERT INTO ITERATION_EXEC_DETAIL (ITER_EXEC_DETAIL_ID) VALUES (-1);

COMMIT;
