/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2012, 2014. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("com.ibm.team.dashboard.web.ui.ProcessAreaDashboard");

dojo.require("com.ibm.team.dashboard.web.ui.Dashboard");

dojo.require("jazz.core.loader");

/**
 * An abstract base class for a process area (e.g. team, project) dashboard. Provides
 * API and behavior common to these.
 * 
 * @since 4.0.1
 */
dojo.declare("com.ibm.team.dashboard.web.ui.ProcessAreaDashboard",
		[com.ibm.team.dashboard.web.ui.Dashboard], {
	
	// internal
	showBreadcrumbs: false
});

})();
