/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2012, 2013. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
dojo.provide("com.ibm.team.reports.web.ui.ReportsConstants");

(function() {

com.ibm.team.reports.web.ui.ReportsConstants = {

	ACTION_VIEW_DEFAULT: "com.ibm.team.reports.defaultAction",

	ACTION_VIEW_REPORTS: "com.ibm.team.reports.viewAllReports",
	
	ACTION_VIEW_RESOURCES: "com.ibm.team.reports.viewAllReportTemplates",
	
	ACTION_VIEW_QUERY: "com.ibm.team.reports.viewQuery",
	
	ACTION_EDIT_TEMPLATE: "com.ibm.team.reports.editTemplate",

	SHARED: "shared",
	
	APPLICATION_SOURCE: "Application",
	
	/*
	 * Event for view changes
	 */
	EVENT_REPORTS_VIEW_CHANGED: "viewChanged",
	
	/*
	 * Type id for ReportViewer, used for viewHistory.
	 */
	VIEWER_TYPE_ID: "com.ibm.team.reports.ReportViewer",
	
	/*
	 * Type id for ReportTemplateEditor, used for viewHistory.
	 */
	TEMPLATE_TYPE_ID: "com.ibm.team.reports.ReportTemplateEditor",

	CSH_SHARED_REPORTS: "com.ibm.jazz.reports.web.cshelp.shared_reports",
	CSH_MY_REPORTS: "com.ibm.jazz.reports.web.cshelp.my_reports",
	CSH_REPORT_TEMPLATE_EDITOR : "com.ibm.jazz.reports.web.cshelp.report_template_editor"
};

})();
