/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2011. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
(function() {
	dojo.provide("com.ibm.team.process.web.ui.internal.admin.process_templates.ErrorTemplateActionHandler"); //$NON-NLS-1$
	dojo.require("com.ibm.team.process.web.ui.internal.admin.process_templates.AbstractButtonActionHandler"); //$NON-NLS-1$ 
	
	dojo.declare("com.ibm.team.process.web.ui.internal.admin.process_templates.ErrorTemplateActionHandler", [com.ibm.team.process.web.ui.internal.admin.process_templates.AbstractButtonActionHandler], { //$NON-NLS-1$		
		constructor: function(args) {
			this.errorMessage = args.errorMessage;
		},
		
		// open template description editor for the specified template
		doAction: function(){
			alert(this.errorMessage);
		}
	});
})();
