/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	
	'pageTitle': "System Alerts",
	'pageDescription' : "",
	'tableDescription' : "These are server-wide messages that will be displayed in the banner of the Web UI. These messages will appear in the Jazz Team Server and in supported applications. Use these messages to broadcast information to your users, such as scheduled outages.",
	
	'description': "Alert",
	'author': "Author",
	'date': "Date",
	'time': "Time",
	'startDate': "Begins On",
	'endDate': "Expires On",
	'actions': "Actions",
	'status': "Status",
	'status_active': "Active",
	'status_upcoming': "Future",
	'status_expired': "Expired",
	'deleteAlert': "Delete Alert",
	'editAlert': "Edit Alert",
	'addAlertLink': "Add...",
	'alertsTableHeader': "System Alerts",
	'loading': "Loading...",
	'noAlerts': "There are no system alerts on this server. Click ${0} to create a new alert.",
	
	//add/edit wizards
	
	'createAlertTitle': "Create Alert",
	'editAlertTitle': "Edit Alert",
	'descriptionLabel': "Alert Message",
	'startDateLabel': "Begins On",
	'endDateLabel': "Expires On",
	
	'confirmDelete': "Are you sure you want to delete this alert?",
	'confirmEditCancel': "Are you sure you want to exit this editor? Any changes made will be lost. Click Cancel to continue working or OK to exit.",
	
	'errorLoadingAlerts': "CRJAZ2651E An error occurred while fetching the list of system alerts.",
	'errorSavingNewAlert': "CRJAZ2653E An error occurred while creating this alert. The alert was not created.",
	'errorSavingEdits': "CRJAZ2652E An error occurred saving the changes to this alert."
	
})
