/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2010. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.process.authoring.web.common.ui.internal.editors.CopyResourceLinkDialog"); //$NON-NLS-1$
dojo.require("dijit._Widget"); //$NON-NLS-1$
dojo.require("dijit._Templated"); //$NON-NLS-1$
dojo.require("jazz.ui.Dialog"); //$NON-NLS-1$
dojo.requireLocalization("com.ibm.team.process.authoring.web.common.ui.internal.editors", "Messages"); //$NON-NLS-1$ //$NON-NLS-2$
dojo.declare("com.ibm.team.process.authoring.web.common.ui.internal.editors.CopyResourceLinkDialog", [dijit._Widget, dijit._Templated], { //$NON-NLS-1$
	templatePath: dojo.moduleUrl("com.ibm.team.process.authoring.web.common", "ui/internal/editors/templates/CopyResourceLinkDialog.html"), //$NON-NLS-1$ //$NON-NLS-2$
	resourceLink: null,
	messages: dojo.i18n.getLocalization("com.ibm.team.process.authoring.web.common.ui.internal.editors", "Messages"), //$NON-NLS-1$ //$NON-NLS-2$
	postCreate: function() {
		this.dialog = new jazz.ui.Dialog({
			contentNode: this.contentNode,
			primaryTitle: this.messages.CopyResourceLinkDialog_0,
			destroyContents: true
		});
		
		this.closeButton.appendChild(document.createTextNode(this.messages.CopyResourceLinkDialog_CLOSE));
//		com.ibm.team.process.web.ui.internal.admin.projects.UIHelper.resizeI18NButtons(this.dialogFooter, [this.closeButton]);
		
		this.connect(this.closeButton, "onclick", function(e) { //$NON-NLS-1$
			dojo.stopEvent(e);
			this.dialog.close();
		});
		this.connect(this.copyText, "onfocus", this._selectText); //$NON-NLS-1$
		this.connect(this.copyText, "onclick", this._selectText); //$NON-NLS-1$
		dojo.attr(this.copyText, 'value', this.resourceLink); //$NON-NLS-1$
		dojo.attr(this.copyText, 'readOnly', true); //$NON-NLS-1$
		this.copyText.focus();
	},
	
	_selectText: function(e) {
		dojo.stopEvent(e);
		dijit.selectInputText(this.copyText);
	}
});
