/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2012. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({	
	// General
	'running': "Running...",
	'error': "Error",
	'unavailable': "Unavailable",
	'notStarted': "Not Started",
	'timedOut': "Timed Out",
	
	// Labels
	'serverLabel': "Application Server:",
	'serverRefresh': "Last Refresh Time:",
	// Format: Denotes the time stamp (${0}) at which the viewlet was last refreshed by a given user (${1}).  
	// ${0} -> Date
	// ${1} -> User Name
	// e.g.: "Apr 12, 2012 3:15:03 PM by Bill Cassavelli."
	'refreshTimeUser': "${0} by ${1}.",
	'pingTimeLabel': "Round Trip Latency:",
	'dbPingTimeLabel': "Database Latency:",	
	'numOfSamples': "(${0} samples)",
	'downloadSpeedLabel': "Download Speed:",
	'uploadSpeedLabel': "Upload Speed:",
	'sizeOfTransfer': "(${0} MB transfer)",
	'runTestButton': "Run Test",
	'rerunTestButton': "Refresh Test",

	// Descriptions
	'serverDescription': "The application server is the server to run the tests against.",
	'refreshDescription': "The last refresh time shows last time that the tests were run against the server.",
	'pingDescription': "The round trip latency measures the time in milliseconds for a simple request to travel from your browser to your server and back.  Higher numbers indicate a slower overall UI response and delays in loading large plans and dashboards.",
	'downloadDescription': "The download speed measures how fast data can move from the server to your browser.  Slower values indicate poor performance of data-transfer operations, such as SCM operations and loading large plans, dashboards, and work item attachments.",
	'uploadDescription': "The upload speed measures how fast data can move from from your browser to the server.  Slower values indicate poor performance of uploading SCM files and work item attachments.",
	'dbPingDescription': "The database latency measures the time in milliseconds for a database request to travel from the application server to the database server and back.  This connection is normally very fast. Larger numbers indicate overall poor performance of most operations.",
	'serverResultTooltip': "Average: ${0}ms, Maximum: ${1}ms, Minimum: ${2}ms, Standard Deviation: ${3}",
	'dbServerResultTooltip': "Average: ${0}ms, Maximum: ${1}ms, Minimum: ${2}ms",
	'testFailedTooltip': "The test failed or timed out. Refresh the test or check server status.",
	'transferTimedOutTooltip': "The file transfer failed or the transfer speed was slower than ${0} KB/s. Refresh the test or check server status.",
	'remoteViewletWarning': "When the test is running from a remote widget like this one, the test results are not reliable. Add this widget from the catalog of your current server only, and then run the test.",
	
	// Results
	'plus_ms': "${0}+ (ms)",
	'brackets_kb_s': "${0} (KB/s)",
	'speed_kb_s': "${0} KB/s",
	'ms': "${0} ms"
})
