/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2012. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8
/*
 * NOTE: Please do not change or remove any tags (e.g. "<0>text</0>"). They are used to denote hyperlinks and style.
 */
({
	
	// Operational Error Messages

	'permissionDenied': "CRRDV0000E The description cannot be shown because permission to read the selected project area or team area is missing.",
	'permissionDenied_explanation': "The server cannot retrieve the description due to insufficient privileges (HTTP Status Code: 403).",
	'permissionDenied_useraction': "Contact an administrator for the project area or team area, and request read access.",
	// Last UA edit: 2/24/2012
	
	// General Messages
	
	'title': "Description",
	
	// The ${0} in this string represents a proper name of a Project or Team Area
	'titleScoped': "${0} Description",
	'loading': "Loading...",
	'noDescTeam': "There is no description available for this team.",
	'noDescProject': "There is no description available for this project.",
	'notScoped': "This widget is not scoped to a team or project area.",
	'notScopedEdit': " Please select one in the widget <0>Settings</0>."
		
})
