osapi.container.Container.prototype.setupNonGadgetRpcEndpoint = function() {
  var container = this;
  var setUpRpcIdsForNonGadgetIframe = function(iframeId, iframeContainerId, componentUrl, rpcServiceIds){
    container.sites_[iframeContainerId] = {
      "getActiveSiteHolder" : function(){
        return {
          "getUrl" : function(){
            return componentUrl;
          },
          "getIframeId" : function(){
            return iframeId;
          }
        };
      }
    };
    container.service_.cachedMetadatas_[componentUrl] = {"rpcServiceIds":rpcServiceIds};
  }
  gadgets.rpc["setUpRpcIdsForNonGadgetIframe"] = setUpRpcIdsForNonGadgetIframe;
};