/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010, 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("jazz.app.internal.CustomNavbarTag");

(function() {

dojo.require("net.jazz.ajax.ui.PageList");
dojo.require("net.jazz.ajax.ui.PlatformUI");
dojo.require("jazz.ui.MenuPopup");

dojo.declare("jazz.app.internal.CustomNavbarTag", [dijit._Widget, dijit._Templated], {
	_checkButtonHighlight: function (page, pageId, button) {
		if (page.id === pageId) {
			dojo.addClass(button,"selected");
		} else {
			dojo.removeClass(button,"selected");
		}
	}
});
})();
