/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2012, 2013. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("jazz.ui.internal.MenuBar");

dojo.require("dijit.MenuBar");

dojo.require("jazz.ui.internal._CssStateMixin");

dojo.declare("jazz.ui.internal.MenuBar", [dijit.MenuBar], {

//	baseClass: "jazz-ui-internal-MenuBar",
	orientation: "",
	
	postCreate: function() {
		this.inherited(arguments);
		if (this.orientation)
			this._orient = this.orientation;
	},
	
	_openPopup: function() {
		var item = this.focusedChild;
		if (item && item.popup)
			item._setSelected(true);
		this.inherited(arguments);
	}

});
})();