/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009, 2012. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	// General

	'all': "All",
	'backToResults': "Back to results",
	'addWidget': "Add Widget",
	'addGadgetTitle': "Add OpenSocial Gadget",
	'addIWidgetTitle': "Add IBM iWidget",
	'loading': "Loading...",

	// Add Widget Button

	'statusAdded': "Added",
	'statusFailed': "Failed",
	'statusAdding': "Adding...",
	'errTemplate': "${0}: ${1}",
	'errAddWidget': "Failed to add widget",
	'errPermission': "CRJAZ5034E The widget was not added.",
	'errPermission_explanation': "The widget could not be added because you do not have permission to read the associated data.",
	'errPermission_useraction': "Contact an administrator to request access to the data.",
	
	// Dialog
	
	'dialogTitle': "Add Widget",
	'dialogClose': "Close",
	
	// Catalog
	
	'errInvalidConfiguration': "CRJAZ5033E The widget catalog cannot be opened.",
	'errInvalidConfiguration_explanation': "During an attempt to open the widget catalog, the server did not return the expected results. The configuration of the Widget Catalog might be incorrect.",
	'errInvalidConfiguration_useraction': "To find more details about this issue, open the JavaScript console of your browser by pressing F12, refresh the widget, and check the JavaScript console for any resulting errors.",

	// Origins
	
	'selected': "Selected:",
	'selectServer': "Select Catalog",
	'noOrigins': "Failed to retrieve origins.",
	'friends': "Friends",
	'applications': "Applications",

	// Categories / Subcategories

	'browseCategory': "Select Category",
	'getCategoriesFailed': "Failed to retrieve categories.",

	// External Widgets
	
	'externalWidgets': "Add External Widgets",
	'invalidUrl': "The specified URL is invalid",

	// Widget Results Pane
	
	'noResults': "No widgets found.",
	'getEntriesFailed': "Failed to retrieve entries.",

	// Widget Details Pane

	'openGadgetUrl': "Open gadget URL",
	'noPreview': "No preview available",
	'configureWidget': "Export Widget",
	'exportGadget': "OpenSocial Gadget",

	// Widget Configuration Pane
	
	'backToDetails': "Back to details",
	'getCode': "Get Code",
	'auto': "auto",
	'width': "Width",
	'height': "Height",
	
	// Widget Code Snippet Dialog
	
	'snippetDialogTitle': "Code Snippet",
	'buttonOK': "OK",
	'snippetInstruction': "Copy and paste this code snippet into an HTML webpage.",
	
	// Widget Entry
	
	'noDescription': "No description available.",

	// Add Gadget Pane
	
	'addGadgetInstruction': "Specify a URL to an OpenSocial gadget.",
	
	// Add iWidget Pane
	
	'addIWidgetInstruction': "Specify a URL to an IBM iWidget.",
		
	// OpenSocial viewlet adapter  
	
	'gadgetUrlDescription': "The URL below is a link to the OpenSocial gadget version of this widget. Paste this URL into an OpenSocial container to use this widget outside of a dashboard.",
	'gadgetUrlError': "CRJAZ5035E The OpenSocial gadget cannot be accessed because an error occurred while generating its URL.",
	'gadgetUrlError_explanation': "The server host name or widget definition could not be detected.",
	'gadgetUrlError_useraction': "To find more details about this issue, open the JavaScript console of your browser by pressing F12, refresh the widget, and check the JavaScript console for any resulting errors.",
	'gagdetUrlDialog': "OpenSocial Gadget"
	

})
