CREATE SCHEMA AUTHORIZATION $(CONFIG_SCHEMA)
GO

CREATE TABLE $(CONFIG_SCHEMA).DCS_ETL_INFO (
		RESGROUP_URL NVARCHAR(2048) NOT NULL,
		RESGROUP_ID NVARCHAR(36) NOT NULL,
		RESOURCE_URL NVARCHAR(2048) NOT NULL,
		RESOURCE_ID NVARCHAR(36) NOT NULL,
		MODIFIEDSINCE DATETIME DEFAULT '1899-12-31 23:59:59.999' NOT NULL,
		LOADTYPE NCHAR(1) DEFAULT 'D' NOT NULL
) ON VNF_32K
GO

ALTER TABLE $(CONFIG_SCHEMA).DCS_ETL_INFO ADD CONSTRAINT DCSETLINFO_KEY PRIMARY KEY (RESGROUP_ID, RESOURCE_ID) ON  VNF_IDX
GO

UPDATE $(CONFIG_SCHEMA).SYSCONFIG_INFO SET INT_VALUE=8, CHAR_VALUE='5.0' WHERE INFO_ID=16
GO

UPDATE $(CONFIG_SCHEMA).SYSCONFIG_INFO SET INT_VALUE=32, CHAR_VALUE='5.0 S4' WHERE INFO_ID=17
GO