CREATE INDEX RIDW.F_REQU_METRIC_IDXDT ON RIDW.F_REQUEST_METRICS (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.F_DEF_AG_IDXDT ON RIDW.F_REQUEST_AGING (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.F_EXERES_IDXDT ON RIDW.F_EXECUTION_RESULT_METRICS (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.F_REQFL_IDXDT ON RIDW.F_REQUEST_FAILURE_METRICS (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.F_EXECWK_IDXDT ON RIDW.F_EXECUTION_WORKITEM_METRICS (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.F_TSTCASE_IDXDT ON RIDW.F_TESTCASE_METRICS (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.F_PTSTCASEPLN_IDXDT ON RIDW.F_PROJ_TESTCASE_TPLN_METRICS (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.F_PTSTCASE_IDXDT ON RIDW.F_PROJ_TESTCASE_METRICS (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.F_BUILD_IDXDT ON RIDW.F_BUILD_METRICS (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.F_TFV_MET_IDXDT ON RIDW.F_TEXT_FILE_VERSION_METRICS (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.F_CHREQM_IDXDT ON RIDW.F_CHILDREQUIREMENT_METRICS (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.F_PPM_IDXDT ON RIDW.F_PROJECT_PERFORMANCE_METRICS (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.F_ACTM_IDXDT ON RIDW.F_ACTIVITY_METRICS (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.F_EXECPTS_IDXDT ON RIDW.F_EXECRESPOINTS_METRICS (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.F_REQTURN_IDXDT ON RIDW.F_REQUEST_TURNAROUND (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.F_TSKMET_IDXDT ON RIDW.F_TASK_METRICS (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.F_RELREQ_IDXDT ON RIDW.F_RELEASE_REQUEST_METRICS (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.F_RELREQTU_IDXDT ON RIDW.F_REL_REQUEST_TURN_METRICS (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.F_ACTITER_MET_IDXDT ON RIDW.F_ACTIVITY_ITER_METRICS (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.F_ACTREQ_MET_IDXDT ON RIDW.F_ACTIVITY_REQ_METRICS (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.F_BLDREQUI_MET_IDXDT ON RIDW.F_BUILD_REQUI_METRICS (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.F_BLDREQU_MET_IDXDT ON RIDW.F_BUILD_REQU_METRICS (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.F_EXPI_MET_IDXDT ON RIDW.F_EXECRESPOINTS_ITER_METRICS (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.F_ERI_MET_IDXDT ON RIDW.F_EXECUTION_RES_ITER_METRICS (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.F_EWI_MET_IDXDT ON RIDW.F_EXEC_WORKITEM_ITER_METRICS (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.F_EWR_MET_IDXDT ON RIDW.F_EXEC_WORKITEM_REQU_METRICS (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.F_REQCUST_MET_IDXDT ON RIDW.F_REQUEST_CUST_METRICS (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.F_RQRUF_MET_IDXDT ON RIDW.F_REQUEST_REQUI_FAIL_METRICS (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.F_REQREQUI_MET_IDXDT ON RIDW.F_REQUEST_REQUI_METRICS (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.F_REQTPLN_AG_IDXDT ON RIDW.F_REQUEST_TPLN_AGING (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.F_RPLF_MET_IDXDT ON RIDW.F_REQUEST_TPLN_FAIL_METRICS (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.F_REQTPLN_MET_IDXDT ON RIDW.F_REQUEST_TPLN_METRICS (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.F_RQTPT_IDXDT ON RIDW.F_REQUEST_TPLN_TURNAROUND (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.F_REQUITPLN_MET_IDXDT ON RIDW.F_REQUIREMENT_TPLN_METRICS (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.F_RTC_MET_IDXDT ON RIDW.F_REQUI_TCASE_METRICS (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.F_TASK_COMP_MET_IDXDT ON RIDW.F_TASK_COMP_METRICS (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.F_TESTITER_MET_IDXDT ON RIDW.F_TESTCASE_ITER_METRICS (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.F_TPJR_MET_IDXDT ON RIDW.F_TESTCASE_REQUI_METRICS (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.F_TXFVR_MET_IDXDT ON RIDW.F_TEXT_FILE_VER_REQU_METRICS (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.F_ACTCMPM_IDXDT ON RIDW.F_ACTIVITY_COMP_METRICS (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.F_TFVBSLN_MET_IDXDT ON RIDW.F_TEXT_FILE_VER_BSLN_METRICS (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.F_RISKMET_IDXDT ON RIDW.F_RISK_METRICS (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.FTSKITVARMET_IDXDT ON RIDW.F_TASK_ITER_VARIANCE_METRICS (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.FTSKPRJVARMET_IDXDT ON RIDW.F_TASK_PROJ_VARIANCE_METRICS (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.F_STORY_METRIC_IDXDT ON RIDW.F_STORY_METRICS (DATE_ID) ALLOW REVERSE SCANS;
CREATE INDEX RIDW.F_PRJFINMET_IDXDT ON RIDW.F_PROJECT_FINANCIAL_METRICS (DATE_ID) ALLOW REVERSE SCANS;

UPDATE CONFIG.SYSCONFIG_INFO SET CHAR_VALUE='2.0 RC5',INT_VALUE=5 WHERE INFO_ID=18;