/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2012. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("com.ibm.team.dashboard.web.ui.ProjectDashboardSearchProvider");

dojo.require("com.ibm.team.dashboard.web.ui.internal.SearchProvider");

/**
 * The project dashboards search provider, which provides searching capability for project and team
 * dashboards in applications. 
 * 
 * This menu can be used as-is for application dashboard pages if default dashboard hrefs are used.
 * For custom hrefs, you must subclass and override the href properties. It is also meant to be used
 * in conjunction with the ProjectDashboardPage.
 * 
 * @since 4.0.1
 */
dojo.declare("com.ibm.team.dashboard.web.ui.ProjectDashboardSearchProvider",
		[com.ibm.team.dashboard.web.ui.internal.SearchProvider], {
});

})();
