/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010, 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	
	'heading': "Issued Floating License Leases",
	'description': "Displays data for the floating licenses of the selected type currenly issued to users by this license server.  This is a snapshot of data, so refresh this view for updates.",
	
	'server': "Server", 
	'userId': "User ID", 
	'operation': "Operation", 
	'timeout': "Timeout",
	
	'noIssued': "No floating licenses of the selected type are issued by this license server.  Refresh this page for updates.",
	'detailed': " (detailed message: ${0}).",
	'unreachable': "server unreachable - check network connectivity or contact server admin",
	'serviceError': "CRJAZ1511E Error fetching issued floating license lease information.",
	
	'notEnabled': "Floating licenses are not enabled on this server.  To add support for floating licenses, install a server license that allows floating licenses.",
	'failedFloatCheck': "CRJAZ1510E Failed to check if floating licenses are supported", 
	'installFloatingLink': "This page displays data about floating licenses issued from this server, but no floating licenses have been installed.  Use the ${0}License Key Management${1} page to install license keys."
})
