/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010, 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	
	'heading': "URL Whitelist",
	'description_jts' : "Use this page to manage a list of outbound URLs, referring to sites that are not registered as a Jazz application or friend, but to which this Jazz Team Server can still send requests. This is used for clients or web pages served from this Jazz Team Server that also invoke requests to other sites.  For security reasons, web pages are only allowed to interact with the application or server from which they originated.  This whitelist allows requests to these other sites to flow from the client through this Jazz Team Server to the target site.  One example of this usage is OpenSocial gadgets. The URL defines a basename path with which this Jazz Team Server compares outgoing URLs. If those outgoing URLs start with any of the URLs in the whitelist, the outbound URL is considered to be covered by that whitelist.",
	'description_app' : "Use this page to manage a list of outbound URLs, referring to sites that are not registered as a Jazz application or friend, but to which this application can still send requests. This is used for clients or web pages served from this application that also invoke requests to other sites.  For security reasons, web pages are only allowed to interact with the application or server from which they originated.  This whitelist allows requests to these other sites to flow from the client through this application to the target site.  One example of this usage is OpenSocial gadgets. The URL defines a basename path with which this application compares outgoing URLs. If those outgoing URLs start with any of the URLs in the whitelist, the outbound URL is considered to be covered by that whitelist.",
	
	'whitelistTableHeading': "Jazz Authentication Proxy Whitelist",
	'addEntryHeading': "Add New Whitelist URL",
	'enterDomainName': "Enter Base URL:",
	'addButton': "Add",
	'addAnywayButton': "Add Anyway",
	'domainLabel': "Outbound URL",
	'actionsLabel': "Actions",
	'deleteButton': "Remove URL",
	'editButton': "Edit URL",
	'saveButton': "Save",
	'saveAnywayButton': "Save Anyway",
	'cancelButton': "Cancel",
	'example': "Example",
	'confirmDelete': "Are you sure you want to remove this URL from the whitelist?",
	'noDomainsYet': "Currently, this server does not have any whitelisted URLs. Add one in the section above.",
	'validationFailed': "CRJAZ1785E An error occurred while trying to validate the whitelist. Please ensure the URLs are valid.",
	'savedOK': "The whitelist changes were saved successfully.",
	'saveFailed': "CRJAZ1784E An error occurred while trying to save the whitelist changes. Please try again.",
	'noProperties': "The Jazz Authentication Service does not have any properties. Please verify the server configuration.",
	'pendingValidation': "Please wait while the whitelist URL is validated. This may take a moment."

})
