/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010, 2014. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	'rssFeedTitle': "Jazz System Log RSS Feed",
	'refreshLinkTitle': "Refresh Status",
	'refreshLinkLabel': "Refresh",
	'serverStatusHeader': "Status Summary",
	'unavailable': "UNAVAILABLE",
	'connected': "Connected",
	'serverStatus': "Server Status",
	'applicationStatus': "Application Status",
	'databaseStatus': "Database Status",
	'version': "Version",
	'buildInformation': "Build Information",
	'serverUptime': "Uptime",
	'memoryUsage': "VM Memory Usage",
	'maxMemAlloc': "Maximum Memory Allocation",
	'currMemAlloc': "Current Memory Allocation",
	'freeMem': "Free Memory",
	'serverVM': "Server VM",
	'applicationVM': "Application VM",
	'serviceErrorSummary': "Service Error Summary",
	'noServiceErrors': "There are no service errors.",

	'errorFetchingServerStatus': "CRJAZ1505E The server status cannot be retrieved.",
	'errorFetchingServerStatus.explanation': "During a request for information about the server status, an unexpected error occurred on the server.",
	'errorFetchingServerStatus.useraction': "For more information about this error, see the details in the remainder of the message or in the application log file.",

	'expandDBStatusInfo': "CRJAZ1506E Error fetching server status information.  View the Database Status section below for more information.",
	'detailedMessage': "detailed message: ",
	'serverUnreachable': "CRJAZ1509E The server is unreachable.  Check network connectivity.", 
	'loadingData': "Loading Data", 
	'loading': "Loading...",
	'unknown': "Unknown",
	'lowerUnavailable': "Unavailable",
	'tryAgain': "Try Again",
	'licenseStatus': "License Status",
	'showAll': "Show All",
	'currentlyShowing': "Currently showing ${0} of ${1} errors", 
	'serverLicense': "Server License", 
	'serverLicenseStatus': "Server License Status",
	'clientLicenseStatus': "Client Access License Status",
	'oneOfTheCALsExpires': "At least one of the Client Access Licenses expires on ${0}",
	'oneOfTheCALsExpired': "At least one of the Client Access Licenses has expired on ${0}",
	'provision': "CRJAZ1508E Repository services are not available on the server.  Provision the server to install the repository components or check the ${0}provision status${1} for possible provisioning failures.", 
	'trial': "Trial", 
	'expiredTrial': "Expired Trial", 
	'deactivated': "Deactivated", 
	'permanent': "Permanent",
	'expiresDate': " Expires On ${0}",
	'expiredDate': " Expired On ${0}",
	'notAvailable': "Not available", 
	'configured': "Configured",
	'configuredFloatingServer': "This server is configured to be a floating license server.  Floating licenses installed in this server can be used by other servers.",
	'notConfigured': "Not Configured",
	'notConfiguredFloatingServer': "This server is not configured to be a floating license server.  If you would like this server to distribute floating licenses to other servers, use the ${0}Floating License Server${1} tab of the License Key Management page to install a floating license key.",
	'floatingServer': "Floating License Server", 
	'floatingClient': "Floating License Client",
	'usingLicneseServer': ": Using ${0}.",
	'usingLicenseServerDescription': "This server is configured to use floating licenses from ${0}.", 
	'licenseServerError': "CRJAZ1507E There was an error communicating with that license server: ",
	'notConfiguredFloatingClient': "This server is not configured to use floating licenses from a license server.  To enable the use of floating licenses, go to the ${0}Licenses Key Management${1} page and provide the license server URL.",
	'serviceErrorIconAltText': "<service error>", 
	'javaVersion': "Version",
	'vmVendor': "Vendor",
	'vmName': "Name", 
	'vmDetails': "Details", 
	'vmUnsupported': "VM Error",
	'licenseTokenServer': "License Token Server",
	'jazzTeamServer': "Jazz Team Server Location",
	'connectedTo': "Connected to:",
	'publicURL' : "Public URI",
	'notSpecified': "Not Specified",
	'publicUrlHelp': "You are strongly encouraged to set the Public URI for this server. Visit the Setup Wizard to do so.",
	'goToSetup' : "Go to Setup",
	'applicationInfo': "Application Information",
	'noJTSURL': "Not connected to a Jazz Team Server.",
	'appNotRegistered': "This application needs to be registered with a Jazz Team Server to function correctly. To proceed, use the Setup Wizard located on the Jazz Team Server (For example: https://servername.domain.com:9443/jts/setup).",
	'diagnosticStatus': "Diagnostics",
	
	'clusterStatus': "Cluster Status",
	'totalClusterNodes': "Total Cluster Nodes",
	'totalActiveServices': "Total Active Services",
	'moreInformation': "More Information",
	'goToClusterPage': "Go to Cluster Nodes",
	'allNodes': "All Nodes",
	
	'migrationMode': "The server is currently in read-only mode because a migration is in progress. In order to preserve data integrity, you will not be able to make changes to the server during this time."
	

})	
