/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010, 2011. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	//template
	
	'wizardPageHeading': "Configure Database",
	'wizardPageDescription_jts': "By default, this Jazz Team Server includes a pre-configured database using a JDBC connection. You can either keep this default or choose a different database vendor and/or connection type. If you change the default, you may need to configure some additional properties. Also use the \"Test Connection\" button to verify that the Jazz Team Server can successfully communicate with the database using the connection information you provided.",
	'wizardPageDescription_app': "By default, this application includes a pre-configured database using a JDBC connection. You can either keep this default or choose a different database vendor and/or connection type. If you change the default, you may need to configure some additional properties. Also use the \"Test Connection\" button to verify that the application can successfully communicate with the database using the connection information you provided.",
	'pleaseNote': "Please Note:",
	'restrictedOptions': "The database vendor options have been restricted based on the installed server license.",  
	'step1Label': "Step 1:",
	'step1Title': "Configure Database Vendor and Connection Type",	
	'vendorLabel': "Database Vendor:",
	'connectionTypeLabel': "Connection Type:",
	'j2eeLabel': "J2EE",
	'jdbcLabel': "JDBC",
	'step2Label': "Step 2:",
	'step2Title': "Configure Database Connection Properties",
	'restoreLabel': "Restore to Saved",
	'testConnectionLabel': "Test Connection",
	'step3Label': "Step 3:",
	'step3Title': "Create Database Tables",	
	'createTablesButton': "Create Tables",
	
	'DBneedsTables': "CRJAZ1567I The database exists, but is not configured to contain Jazz. Use the \"Create Tables\" button in Step 3 to configure the database for Jazz.",
	'DBneedsTablesPartiallyCreated': "CRJAZ2079E The database exists, but the last attempt to create the tables for Jazz did not complete successfully.  Use the \"Create Tables\" button in Step 3 to configure the database for Jazz.",
	'createTablesIntro': "The specified database exists but there are no Jazz tables present. Please click the \"Create Tables\" button below to create the required tables. Table creation may take a few minutes.",
	'settingsSaved': "Database settings saved.",
	'creationSuccess': "Database tables created successfully. Click Next to continue.",
	'creationFail': "CRJAZ1571E An error occurred while creating database tables. Please try again.",
	'creationProgress': "Database tables are being created. This may take a few minutes...",
	'tablesExist': "The database tables already exist.",
	
	'jdbcLocExample': "Example: ${0}",
		
	// widget

	'reviewAdminLink': "Review the ${0}License Key Management${1} page of the Admin UI for more information.",
	
	'loading': "Loading Database Connection settings...",  
	'testing': "Testing the connection to the database...",  
	'pendingOk': "The configuration has pending changes.  Please test the connection to continue.",  
	'pendingErr': "Some property values are invalid.  Please correct flagged properties to continue.", 
	'pendingWarn': "Please verify properties flagged with warnings.  Test the connection to continue.", 
	'connectedOk': "Database connection is established.  Click Next to continue.",
	'connectedErr': "CRJAZ1568E Database connection could not be established.  Resolve errors to continue.", 
	'connectedWarn': "CRJAZ1569W Database connection was attempted with warnings.  Resolve warnings to continue.", 
	'saveErr': "CRJAZ1572E An error occurred while saving the configuration properties.",
	
	'connectionError': "CRJAZ1570E Error fetching connection status."
})	



